Name:	 dmidecode
Version: 3.2
Release: 4
Epoch:   1
Summary: DMI data report tool

License: GPLv2+
URL:	 https://www.nongnu.org/dmidecode/
Source0: http://download.savannah.gnu.org/releases/dmidecode/%{name}-%{version}.tar.xz

Patch6000: bugfix-compat_uuid.patch
Patch6001: dmidecode-Fix-Redfish-Hostname-print-length.patch
Patch6002: dmidecode-Don-t-use-memcpy-on-dev-mem-on-arm64.patch
Patch6003: dmidecode-Use-the-most-appropriate-unit-for-cache-si.patch
Patch6004: dmidecode-Add-Logical-non-volatile-device-to-the-mem.patch
Patch6005: dmidecode-Split-table-fetching-from-decoding.patch
Patch6006: dmidecode-Write-the-whole-dump-file-at-once.patch
Patch6007: dmidecode-Do-not-let-dump-bin-overwrite-an-existing-.patch

BuildRequires: make gcc xz

ExclusiveArch:  %{ix86} x86_64 ia64 aarch64 amd64

%description
Dmidecode reports information about your system's hardware as described
in your system BIOS according to the SMBIOS/DMI standard (see a sample
output). This information typically includes system manufacturer, model
name, serial number, BIOS version, asset tag as well as a lot of other
details of varying level of interest and reliability depending on the
manufacturer. This will often include usage status for the CPU sockets,
expansion slots (e.g. AGP, PCI, ISA) and memory module slots, and the
list of I/O ports (e.g. serial, parallel, USB).

DMI data can be used to enable or disable specific portions of kernel code
depending on the specific hardware. Thus, one use of dmidecode is for kernel
developers to detect system "signatures" and add them to the kernel source code
when needed.

%prep
%autosetup -n %{name}-%{version} -p1


%build
# biosdecode ownership vpddecode programs are only useful on x86,
# so Makefile atuo compiled target programs depend on arch.
make %{?_smp_mflags} CFLAGS="%{__global_cflags}" LDFLAGS="%{__global_ldflags}"


%install
%make_install prefix=%{_prefix}


%files
%license LICENSE
%{_sbindir}/*
%{_docdir}/%{name}/*
%{_mandir}/man8/*.8.gz

%changelog
* Mon Apr 17 2023 nicunshu <nicunshu@huawei.com> - 1:3.2-4
- fix CVE-2023-30630

* Tue Aug 18 2020 chenyaqiang <chenyaqiang@huawei.com> - 1:3.2-3
- rebuild for package build

* Wed Aug 21  2019 openEuler Buildteam <buildteam@openeuler.org> - 1:3.2-2
- Package init
